package java.text.spi;

import java.text.DateFormat;
import java.util.Locale;
import java.util.spi.LocaleServiceProvider;

public abstract class DateFormatProvider extends LocaleServiceProvider
{
    protected DateFormatProvider() {
    }
    
    public abstract DateFormat getTimeInstance(int p0, Locale p1);
    
    public abstract DateFormat getDateInstance(int p0, Locale p1);
    
    public abstract DateFormat getDateTimeInstance(int p0, int p1, Locale p2);
}
